# BEGIN SourceDeps(oneline):
BuildRequires: libbsd-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name: starlink-pal
Version: 0.9.8
Release: alt1_3
Summary: Positional Astronomy Library

# Upstream version
%define upversion 0.9.8
%define major 0
%define libname lib%{name}%{major}
%define libname_virt	lib%{name}
%define develname lib%{name}-devel

Group: Sciences/Astronomy
License: GPLv2+
URL: http://starlink.jach.hawaii.edu/starlink/AST
Source0: https://github.com/Starlink/pal/archive/v%{upversion}.tar.gz
Patch0: starlink-pal-deb-rename_library.patch
Patch1: starlink-pal-deb-use_std_automake.patch

BuildRequires: erfa-devel
BuildRequires: texlive
BuildRequires: texlive-dist
Source44: import.info

%description
The PAL library is a partial re-implementation of Pat Wallace's
popular SLALIB library written in C using a Gnu GPL license and
layered on top of the IAU's SOFA library where appropriate. PAL
attempts to stick to the SLA C API where possible although palObs()
has a more C-like API than the equivalent slaObs() function. In most
cases it is enough to simply change the function prefix of a routine
in order to link against PAL rather than SLALIB.

%package -n %{develname}
Summary: Headers for developing programs that will use %{name}
Group: Sciences/Astronomy
Requires: %{libname_virt} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
These are the header files and libraries needed to develop a %{name} 
application.

%package -n %{libname}
Summary: Positional Astronomy Library
Group: Sciences/Astronomy
Provides: %{name} = %{version}-%{release}
Provides: %{libname_virt} = %{version}-%{release}
%description -n %{libname}
The PAL library is a partial re-implementation of Pat Wallace's
popular SLALIB library written in C using a Gnu GPL license and
layered on top of the IAU's SOFA library where appropriate. PAL
attempts to stick to the SLA C API where possible although palObs()
has a more C-like API than the equivalent slaObs() function. In most
cases it is enough to simply change the function prefix of a routine
in order to link against PAL rather than SLALIB.

%prep
%setup -q -n pal-%{upversion}
%patch0 -p1
%patch1 -p1


%build
CFLAGS="%{optflags} -fcommon"
libtoolize
aclocal
autoconf
autoheader
automake --gnu --add-missing
%configure --disable-static
%make_build 

%install
%makeinstall_std
rm -f %{buildroot}%{_datadir}/pal/*.pdf
pushd %{buildroot}%{_libdir}
ln -s libstarlink_pal.so.0.0.0 libpal.so.0.0.0
ln -s libstarlink_pal.so.0.0 libpal.so.0.0
ln -s libstarlink_pal.so libpal.so
popd
rm -f %{buildroot}%{_datadir}/pal/{COPYING,README}*

%files -n %{libname}
%doc --no-dereference COPYING
%{_libdir}/lib*.so.*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.9.8-alt1_3
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.8-alt1_1
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_8
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_7
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_6
- new version

